
CoCoALib - Bug #577

Hilbert crashes with > 100 indeterminates

01 Jul 2014 12:42 - Anna Maria Bigatti

Status: Closed Start date: 01 Jul 2014

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Maths Bugs Estimated time: 1.50 hour

Target version: CoCoALib-0.99534 Seoul14 Spent time: 1.20 hour

Description

Use P ::= QQ[x[1..100]]; HilbertSeries(P/ideal(indets(P)));

is ok, but

Use P ::= QQ[x[1..101]]; HilbertSeries(P/ideal(indets(P)));

crashes

History

#1 - 01 Jul 2014 13:34 - John Abbott

- % Done changed from 0 to 10

I've just tried with my own "local" copy of C5; seems to work fine (even trying several times).

Platform is MacOSX 10.5.

#2 - 01 Jul 2014 14:04 - Anna Maria Bigatti

(sorry, I meant "101")

I found where the problem is (a hard limit = 100 in GlobalManager) and I am fixing it.

#3 - 01 Jul 2014 14:34 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- % Done changed from 10 to 90

- Estimated time set to 1.50 h

fixed.  Now using CopyHPPower (copies the precomputed value or computes the correct one) instead of HPPowerList (with now a check for the limit

to HPPowerListMaxDeg())

cvs-ed

#4 - 31 Jul 2014 16:57 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
